Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.deflect.bot/intelligence/phone \ --header 'Content-Type: application/json' \ --data ' { "api_key": "<string>", "phone": "<string>" } '
{ "success": true, "data": { "is_valid": true, "e164_format": "<string>", "country_code": "<string>", "country": "<string>", "country_name": "<string>", "number_type": "<string>", "line_type": "<string>", "carrier": "<string>", "carrier_type": "<string>", "risk_score": 123, "is_disposable": true, "is_virtual": true, "is_threat": true, "is_spam": true, "validation_error": "<string>" } }
Validate and enrich a phone number
Your Deflect API Key
+E.164 phone number
Successful response
Show child attributes